apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: ingress-routes-ok-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
##### GFI
    - match: Host(`{{ .Values.branchSubdomain }}map-app.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`) && (PathPrefix(`/public-settings`) || PathPrefix(`/public-sit`))
      kind: Rule
      middlewares:
      {{- if $.Values.traefikForwardAuthEnabled }}
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      {{- end }}
      services:
        - name: gfi-web-cache-service
          port: 3003
    - match: Host(`{{ .Values.branchSubdomain }}map-app.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
      kind: Rule
      middlewares:
      {{- if $.Values.traefikForwardAuthEnabled }}
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      {{- end }}
      services:
        - name: gfi-webcomp-app-service
          port: 80
  tls:
    certResolver: ourcertresolver
